import React from 'react';
import './App.css';
import { Provider } from 'react-redux';
import { store } from './store';
import { Route, Switch, BrowserRouter } from 'react-router-dom';
import { IndexPage } from './pages/Home';
import { DetailPage } from './pages/Detail';
import { ConfigProvider } from 'antd';

function App() {
  return (
    <Provider store={store}>
      <ConfigProvider theme={{}}>
        <BrowserRouter>
          <Switch>
            <Route exact path="/"><IndexPage /></Route>
            <Route path="/detail/:id"><DetailPage /></Route>
          </Switch>
        </BrowserRouter>
      </ConfigProvider>
    </Provider>
  );
}

export default App;
