import axios from 'axios';

const request = axios.create({
  baseURL: process.env.REACT_APP_API_HOST,
  timeout: 125 * 1000
});

// request interceptor
request.interceptors.request.use(
  async (config) => {
    return config;
  },
  (error) => {
    return Promise.reject(error);
  }
);

// response interceptor
request.interceptors.response.use(
  (resp) => {
    return resp;
  },
  async (err) => {
    return Promise.reject(err);
  }
);

export default request;
